gnutls_openpgp_key_export(3)

NAME
gnutls_openpgp_key_export - This function will export a RAW or BASE64 encoded key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_key_export(gnutls_openpgp_key_t key, gnutls_openpgp_key_fmt_t format, void * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_openpgp_key_t key
    Holds the key.

gnutls_openpgp_key_fmt_t format
    One of gnutls_openpgp_key_fmt_t elements.

void * output_data
    will contain the key base64 encoded or raw

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will convert the given key to RAW or Base64 format. If the buffer provided is not long enough to hold the output, then GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.